import React from 'react';
import { PisellModal } from '@pisell/materials';
import "./index.less";
var InformationOptionsModal = function InformationOptionsModal(props) {
  var open = props.open,
    onCancel = props.onCancel,
    options = props.options,
    _onClick = props.onClick;
  return /*#__PURE__*/React.createElement(PisellModal, {
    open: open,
    platform: 'h5',
    closable: true,
    bodyStyle: {
      padding: '0 24px'
    },
    destroyOnClose: true,
    footer: null,
    onCancel: onCancel,
    mobileModalHeight: 'auto',
    className: 'information-option-modal',
    headerDivider: false
  }, /*#__PURE__*/React.createElement("div", {
    className: "information-options-wrap"
  }, options.map(function (item) {
    return /*#__PURE__*/React.createElement("div", {
      key: item.key,
      className: "information-options-wrap-item",
      onClick: function onClick() {
        return _onClick(item);
      }
    }, item.label);
  })));
};
export default InformationOptionsModal;